Subject: Progress on Darwin Poster??

From: Elliot Frank <[email-masked]>
Date: Sun, 15 May 2005 08:20:52 -0700 (PDT)

Dear Darwin Day Folks: 

I had an email discussion with you a while back about
a possible poster being published, at least before the
centenary.  My suggestion was the iconic photo of
Darwin standing in black hat and cape, which is owned
by the museum at Down House, part of English Heritage.

Any word on that?  Any way that I can be helpful this
summer?

I know of one contact at Down House, a helpful lady
named Gemma Squibb. 
([email-masked])

Thanks, Elliot

Reply mail to [email-masked]
Elliot Frank
27 Madoc Street
Newton, MA 02459-2330
617-527-8924

__________________________________ 
Do you Yahoo!? 
Yahoo! Small Business - Try our new resources site!
http://smallbusiness.yahoo.com/resources/